Page MenuHomePhabricator

wikidata.beta.wmflabs.org sitelink selector incorrectly queries en.wikipedia.org instead of beta
Closed, ResolvedPublic

Description

This should query en.wikipedia.beta.wmflabs.org

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 23 2017, 4:16 PM

Mentioned in SAL (#wikimedia-releng) [2017-12-24T16:07:26Z] <Amir1> ladsgroup@deployment-tin$ mwscript extensions/Wikibase/lib/maintenance/populateSitesTable.php --wiki=wikidatawiki --load-from https://en.wikipedia.beta.wmflabs.org/w/api.php (T183633)

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 24 2017, 4:08 PM

@Addshore my script should fix it, can you try again and close this if it's resolved?

WMDE-leszek added a subscriber: WMDE-leszek.

Just checked manually and seems it works correct now!

@Ladsgroup just curious but did you purge the sites table first?
I'm intrigued to know what it looks like now.

if it had previously been loaded from the "real" meta it might have a bunch of sites we don't want and also now might have some sort of inconsistent state (with some sites pointing to prod and some pointing to beta)

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Dec 28 2017, 10:57 PM
WMDE-leszek closed this task as Resolved.Jan 2 2018, 2:44 PM
WMDE-leszek triaged this task as Normal priority.